import time

from machine import I2C, Pin
from stepmaker import RTC

class I2Cpin(object):
    def __init__(self, sda, scl):
        self.sda_rtc = sda
        self.scl_rtc = scl
        
        try:
            i2c_rtc = I2C(1, sda = Pin(self.sda_rtc), scl = Pin(self.scl_rtc), freq = 400000)
            rtc = RTC.I2Cpin(i2c_rtc)

            year = time.localtime()[0]
            month = time.localtime()[1]
            date = time.localtime()[2]
            week = time.localtime()[6]
            hour = time.localtime()[3]
            minute = time.localtime()[4]
            second = time.localtime()[5]

            now = (year, month, date, week, hour, minute, second, 0)
            rtc.datetime(now)

            print(f"Result: Success. | {rtc.datetime()}")

        except:
            print("Result: Fail, Check Your Pin Num or Check Your Circuit.")


